<ui:composition xmlns="http://www.w3.org/1999/xhtml"
                xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:gri="http://java.sun.com/jsf/composite/gri"
                xmlns:f="http://java.sun.com/jsf/core" xmlns:a4j="http://richfaces.org/a4j"
                xmlns:h="http://java.sun.com/jsf/html"
                template="/layout/template.xhtml">
    <ui:define name="body">
        <ui:decorate template="/layout/form/_form_page.xhtml">
            <h2>#{messages['net.ihe.gazelle.patientmanager.SharePatientWithOrderManager']}</h2>
            <h:form id="gform">
                <gri:panel>
                    <f:facet name="header">#{messages['gazelle.simulator.pam.createWorklist']}</f:facet>
                    <h:outputText
                            value="#{messages['gazelle.simulator.pam.createWorklistInfo']}"
                            styleClass="help-block"/>
                    <s:decorate template="/layout/display/_display.xhtml">
                        <ui:define name="label">#{messages['gazelle.simulator.pam.SelectedPatient']}</ui:define>
                        <h:outputText
                                value="#{worklistManager.selectedPatient.firstName} #{worklistManager.selectedPatient.lastName}"/>
                    </s:decorate>
                    <s:div styleClass="form-horizontal">
                        <ui:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
                            <ui:define name="label">#{messages['gazelle.simulator.pam.PatientIdentifier']}</ui:define>
                            <ui:param name="id" value="pidInput"/>
                            <h:selectOneMenu id="pidInput" styleClass="form-control"
                                             value="#{worklistManager.pidUsedForWorklistCreation}">
                                <s:selectItems
                                        value="#{worklistManager.getListOfIdentifiers()}"
                                        var="pid" label="#{pid.fullPatientId}" id="myPid"
                                        noSelectionLabel="#{messages['gazelle.simulator.PleaseSelect']}"/>
                                <a4j:ajax event="change" render="sendButtons" execute="@form"/>
                            </h:selectOneMenu>
                        </ui:decorate>
                    </s:div>
                    <s:div id="sendButtons">
                        <h:outputLink value="#{worklistManager.createWorklistForSelectedPatient()}"
                                      title="#{messages['gazelle.simulator.pam.createWorklistButton']}"
                                      rendered="#{worklistManager.selectedEncounter == null}">
                            <s:span styleClass="gzl-icon-play"/>
                        </h:outputLink>
                        <h:outputLink value="#{worklistManager.createWorklistForSelectedEncounter()}"
                                      title="#{messages['gazelle.simulator.pam.createWorklistButton']}"
                                      rendered="#{worklistManager.selectedEncounter != null}">
                            <s:span styleClass="gzl-icon-play "/>
                        </h:outputLink>
                    </s:div>
                </gri:panel>
            </h:form>
        </ui:decorate>
    </ui:define>
</ui:composition>